gnash-commit
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[Gnash-commit] [SCM] Gnash branch, master, updated. release_0_8_9_final-


From: Gabriele Giacone
Subject: [Gnash-commit] [SCM] Gnash branch, master, updated. release_0_8_9_final-1907-gcfff83a
Date: Tue, 22 Apr 2014 09:23:57 +0000

This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "Gnash".

The branch, master has been updated
       via  cfff83a77b339abd9043b302eaf3fcd31af03d88 (commit)
      from  04904035ed64556cae836fcb6279eefc66dff152 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
http://git.savannah.gnu.org/cgit//commit/?id=cfff83a77b339abd9043b302eaf3fcd31af03d88


commit cfff83a77b339abd9043b302eaf3fcd31af03d88
Author: Gabriele Giacone <address@hidden>
Date:   Tue Apr 22 11:12:50 2014 +0200

    Add verbose mode to display testrun.log files on failure.

diff --git a/Makefile.am b/Makefile.am
index f8bcf34..1199d32 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -489,7 +489,7 @@ check-local:
        $(MAKE) anal
 
 anal testreport checksum:
-       $(srcdir)/testsuite/analyse-results.sh
+       $(srcdir)/testsuite/analyse-results.sh $(MODE)
 endif
 
 .PHONY : dumpconfig \
diff --git a/testsuite/analyse-results.sh b/testsuite/analyse-results.sh
index fcba838..30e779d 100755
--- a/testsuite/analyse-results.sh
+++ b/testsuite/analyse-results.sh
@@ -1,12 +1,6 @@
 #!/bin/sh
 
-
-# case "$1" in
-#     totals)
-#      totals ;;
-#     *)
-#      exit ;;
-# esac
+mode=$1
 
 total_fail=0;
 total_pass=0;
@@ -98,6 +92,7 @@ echo
 # For now, return a failure if any XPASS or FAIL occurred
 if test ${total_fail} -gt 0 || test ${total_xpass} -gt 0; then
 
+       rc=1
        timing=$(dirname $0)/timingissues
        > ${timing}.tmp
 
@@ -124,8 +119,7 @@ if test ${total_fail} -gt 0 || test ${total_xpass} -gt 0; 
then
                        echo "All failures are time-related. Exiting 0."
                        echo "See http://wiki.gnashdev.org/PredictableLoading";
                        echo
-                       rm -f ${timing}.tmp
-                       exit 0
+                       rc=0
                else
                        echo "Time-related failures follow:"
                        grep -f $timing ${timing}.tmp
@@ -138,7 +132,22 @@ if test ${total_fail} -gt 0 || test ${total_xpass} -gt 0; 
then
                fi
        fi
        rm -f ${timing}.tmp
-       exit 1
+
+       if [ "$mode" = "verbose" ]; then
+               if test ${total_fail} -gt 0; then
+                       echo "Verbose mode enabled. Displaying testrun.log 
files."
+                       echo
+                       for s in ${suitefail}; do
+                               testrun=${s}/testrun.log
+                               echo "= = = = = = = [ ${testrun} file - BEGIN ] 
= = = = = = ="
+                               cat ${testrun}
+                               echo "= = = = = = = [ ${testrun} file - END   ] 
= = = = = = ="
+                               echo
+                       done
+               fi
+       fi
+
+       exit $rc
 else
        exit 0
 fi

-----------------------------------------------------------------------

Summary of changes:
 Makefile.am                  |    2 +-
 testsuite/analyse-results.sh |   29 +++++++++++++++++++----------
 2 files changed, 20 insertions(+), 11 deletions(-)


hooks/post-receive
-- 
Gnash



reply via email to

[Prev in Thread] Current Thread [Next in Thread]